DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# PixelTableGetDimensions

Get the dimemsions of a pixel table

## SYNOPSIS

`#include "dip_pixel_table.h"`

dip_Error dip_PixelTableGetDimensions ( table, dimensions, resources )

## FUNCTION

This functions gets the dimensions of the bounding box of the binary object that is encoded by the pixel table `table`.

## ARGUMENTS

Data type | Name | Description
`dip_PixelTable *` | `table` | Pixel table
`dip_IntegerArray *` | `dimensions` | Pointer to a dimensions array
`dip_Resources` | `resources` | Resources tracking structure. See `ResourcesNew`

## SEE ALSO

Description of DIPlib's pixel tables

`PixelTableNew`, `PixelTableSetRun`, `PixelTableGetRun`, `PixelTableAddRun`, `PixelTableGetRuns`, `PixelTableGetDimensionality`, `PixelTableGetOrigin`, `PixelTableGetSize`, `PixelTableGetPixelCount`, `PixelTableGetOffsetAndLength`

DIPlib on-line documentation | Function reference | Global function index